# PubItemStatus.md

## NAMESPACE

RASAdminEngine.Core.OutputModels

## DESCRIPTION

Status of Published Item

## INHERITED FROM

[RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)

⇒

PubItemStatus

## INTERFACES

* ISerializable
* IComparable

## PUBLIC PROPERTIES

| Type                                                                                                                    | Name                | Description                                                          |
| ----------------------------------------------------------------------------------------------------------------------- | ------------------- | -------------------------------------------------------------------- |
| String                                                                                                                  | ExecutablePath      | Executable application path.                                         |
| UInt32                                                                                                                  | Id                  | App/Desktop ID.                                                      |
| String                                                                                                                  | IP                  | Session server IP.                                                   |
| String                                                                                                                  | Name                | App/Desktop name.                                                    |
| UInt32                                                                                                                  | ParentProcessID     | ID of the parent process of the published item.                      |
| UInt32                                                                                                                  | PID                 | String                                                               |
| PoolName                                                                                                                | Group/Pool Name.    | String                                                               |
| Process                                                                                                                 | UInt32              | Session                                                              |
| String                                                                                                                  | SessionHostId       | Session Host ID to which a Remote Desktp Session is connected to.    |
| String                                                                                                                  | SessionHostName     | Session Host Name to which a Remote Desktop Session is connected to. |
| [SessionState](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sessionstate.md)       | SessionState        | State of Remote Desktop Session.                                     |
| [SessionType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sessiontype.md)         | SessionType         | The type of Remote Desktop Session.                                  |
| [RDSessionSource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdsessionsource.md) | Source              | The source of the Remote Desktop Session.                            |
| UInt32                                                                                                                  | ThemeID             | Theme ID.                                                            |
| String                                                                                                                  | User                | User which is running the application/desktop.                       |
| UInt32                                                                                                                  | VDIDesktopRuntimeId | VDI Desktop Runtime ID of the process.                               |

## PUBLIC METHODS

| Type        | Name                       | Description                                                                                                                                |
| ----------- | -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Int32       | CompareTo (Object obj)     | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Boolean     | Equals (Object obj)        | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Int32       | GetHashCode ()             | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Type        | GetType ()                 | String                                                                                                                                     |
| ToString () | ### References to Commands |                                                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitemstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
